classification
Title: Socket error when launching IDLE
Type: performance Stage:
Components: Windows Versions: Python 2.6
process
Status: closed Resolution: works for me
Dependencies: Superseder:
Assigned To: Nosy List: 08jpurcell, adgprogramming, bdouglasoz, kbk, terry.reedy
Priority: normal Keywords:

Created on 2009-09-18 19:58 by 08jpurcell, last changed 2010-11-19 19:23 by terry.reedy. This issue is now closed.

Files
File name Uploaded Description Edit
idleerror.bmp adgprogramming, 2009-10-13 20:48 IDLE Error Screenshot
Messages (10)
msg92840 - (view) Author: Joshua Purcell (08jpurcell) Date: 2009-09-18 20:00
My IDLE (Python GUI) Will NOT open It says socket error which is really 
annoying me because it doesnt open IDLE (AT ALL)
msg92851 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2009-09-18 22:34
Can you copy what is being printed out to a text file or into a comment on 
this issue? Also, what OS is this on? Otherwise we have nothing to work 
off of.

I also deleted whatever exe you uploaded as that will not help with 
debugging at all.
msg93884 - (view) Author: Bonnie Douglas (bdouglasoz) Date: 2009-10-12 01:17
I too seem to have experienced this same problem.  I am running Windows
Vista.  After choosing to shut down my computer and restart without
cleanly shutting down IDLE I got a "socket error" - socket
error:connection refused when I next tried to launch IDLE.  After
pressing OK I got another message: "IDLE's subprocess didn't make a
connection. Either IDLE can't start a subprocess or personal firewall
software is blocking the connection" 

After a search through the web I simply ran the python-6.2.3.msi file
again and chose to "repair" Python 2.6.3 - this has solved the problem.
 Hope this helps.
msg93940 - (view) Author: (adgprogramming) Date: 2009-10-13 20:48
Here is what happened to me. See the attachment.

P.S.: I launched the installer and hit repair. Everything went fine in 
the installer, but the problem still occured. 

Should I upgrade to 3.11?
If I have to make a change in the source code for IDLE, I am fine with 
that, I am an experienced programmer. I just need instructions.

Please help!
msg93941 - (view) Author: (adgprogramming) Date: 2009-10-13 20:50
Oh! And my OS is Windows XP SP3 Media Center Edition Version.
msg93953 - (view) Author: Bonnie Douglas (bdouglasoz) Date: 2009-10-14 01:06
The only other thing that I've done is change my firewall software.
I use Bullguard.  I had to use the Custom Security settings for the
Firewall, but set it to always allow pythonw.exe and python.exe access
to all ports.

A colleague of mine is also running XP and ditched IDLE because it kept
crashing.  I explained my reconfiguration of the firewall to him
yesterday but he hasn't implemented my changes yet so I can't report his
success/failure.

Notepad++ is a great editor to use with Python; it is Python-aware (and
it's free).  Another colleague uses it along with "print" in his code
for debugging.

Finally, our computer scientist recommends using Linux only.  Apparently
that solves all problems?
msg94120 - (view) Author: Kurt B. Kaiser (kbk) * (Python committer) Date: 2009-10-16 01:47
08jpurcell  unresponsive, ignoring for now (but see suggestions below)

bdouglasoz: had a firewall blocking the subprocess, apparently works 
for her now.  I'd point out that Notepad is just an editor, IDLE gives 
you much more.  Linux is great, but IDLE works fine with Windows XP and 
since most people use Windows, we have to be sure that it does!

adgprogramming: first, bring up your task manager and make sure there 
are no python processes running.  2.6.x subprocesses can get stuck.  
Then make sure that your firewall isn't blocking socket access to 
localhost.  Then restart IDLE.  IDLE 3.1.1 may work for you since it 
has the recent enhancement that allows multiple copies of IDLE to run 
simultaneously, but it still needs interprocess access via sockets.
msg94146 - (view) Author: (adgprogramming) Date: 2009-10-16 19:31
Thanks so much! It works perfect!

There was a process running that had to do with pythonw.exe and 
idle.bat. My firewall also blocked access to those same programs. 
Thanks!
msg121226 - (view) Author: Joshua Purcell (08jpurcell) Date: 2010-11-15 13:53
Sorry I've not replied to anyones thoughts until now but nothing seems to fix it
msg121560 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2010-11-19 19:23
Download and install a current release 2.6.6, 2.7, or 3.1.2 (or 2.7.1 or 3.1.3 in a week or so). Disable or otherwise reconfigure whatever firewall or security software you have that is blocking the socket connection (as your screenshot says).

If you still have a problem, ask on python-list and give the info needed for people to help (hardware, os and version, python version, security/firewall software). The bug tracker is for solving problems with Python, not with user machines.

Note that 2.6.6 and 3.1.3 are the last bugfix releases for their respective versions.
History
Date User Action Args
2010-11-19 19:23:42terry.reedysetstatus: open -> closed

nosy: + terry.reedy
messages: + msg121560

resolution: works for me
2010-11-15 13:53:4308jpurcellsetstatus: closed -> open
nosy: kbk, 08jpurcell, bdouglasoz, adgprogramming
messages: + msg121226

components: + Windows, - IDLE
resolution: works for me -> (no value)
2010-04-29 18:03:03terry.reedysetstatus: pending -> closed
2009-10-19 17:06:31kbksetstatus: open -> pending
2009-10-16 19:31:41adgprogrammingsetstatus: pending -> open

messages: + msg94146
2009-10-16 01:47:55kbksetstatus: open -> pending
priority: normal

nosy: + kbk
messages: + msg94120

resolution: works for me
2009-10-14 03:09:45brett.cannonsetnosy: - brett.cannon
2009-10-14 01:06:14bdouglasozsetmessages: + msg93953
2009-10-13 20:50:35adgprogrammingsetmessages: + msg93941
2009-10-13 20:48:03adgprogrammingsetfiles: + idleerror.bmp
nosy: + adgprogramming
messages: + msg93940

2009-10-12 01:18:00bdouglasozsetstatus: pending -> open
nosy: + bdouglasoz
messages: + msg93884

2009-09-19 15:54:49r.david.murraysetstatus: open -> pending
2009-09-19 15:20:31chucksetstatus: pending -> open
title: Socket error when launching IDL -> Socket error when launching IDLE
2009-09-19 13:56:36georg.brandlsetstatus: open -> pending
2009-09-18 22:34:15brett.cannonsetnosy: + brett.cannon

messages: + msg92851
title: Help -> Socket error when launching IDL
2009-09-18 22:32:36brett.cannonsetfiles: - python_icon.exe
2009-09-18 20:00:4908jpurcellsetfiles: + python_icon.exe

type: performance
messages: + msg92840
components: + IDLE
2009-09-18 19:58:1208jpurcellcreate